---
title: Update an application trusted issuer assignment
description: Use PUT to fully replace a trusted issuer assignment from and application
component: pingone-api
page_id: pingone-api:platform:applications/application-trusted-issuer-assignments/update-trusted-issuer-assignment
canonical_url: https://developer.pingidentity.com/pingone-api/platform/applications/application-trusted-issuer-assignments/update-trusted-issuer-assignment.html
llms_txt: https://developer.pingidentity.com/pingone-api/llms.txt
docs_for_agents: https://developer.pingidentity.com/build-with-ai/docs-for-agents.md
revdate: 2026-11-01
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Update an application trusted issuer assignment

##

Required permission:

* [applications:update:trustedIssuersAssignment](../../reference/roles-and-permissions-in-pingone/pingone-permissions-by-identifier.html#permission-applications-update-trustedIssuersAssignment "Learn more about this permission")

```none
PUT {{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}
```

You can update an existing trusted issuer assignment using `PUT {{apiPath}}/v1/environments/{{envID}}/trustedIssuers/{{trustedIssuerID}}`.

### Prerequisites

* Refer to [Trusted issuers](../../trusted-issuers/index.html) for important overview information.

* [Read trusted issuers](../../trusted-issuers/read-trusted-issuers.html) and select a trusted issuer's UUID for the endpoint.

* [Read trusted issuer assignments](read-trusted-issuer-assignments.html) and select a trusted issuer assignment associated with the application.

> **Collapse: Request Model**
>
> Refer to the [Trusted issuer assignments data model](index.html) for full property descriptions.
>
> | Property           | Type   | Required |
> | ------------------ | ------ | -------- |
> | `application`      | Object | Required |
> | `application.id`   | String | Required |
> | `trustedIssuer`    | Object | Required |
> | `trustedIssuer.id` | String | Required |

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/json

### Body

raw ( application/json )

```json
{
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request PUT '{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{accessToken}}' \
--data '{
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
var body = @"{" + "\n" +
@"  ""trustedIssuer"": {" + "\n" +
@"    ""id"": ""{{trustedIssuerID}}""" + "\n" +
@"  }" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}"
  method := "PUT"

  payload := strings.NewReader(`{
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
PUT /v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/json
Authorization: Bearer {{accessToken}}

{
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n  \"trustedIssuer\": {\n    \"id\": \"{{trustedIssuerID}}\"\n  }\n}");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}")
  .method("PUT", body)
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}",
  "method": "PUT",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{accessToken}}"
  },
  "data": JSON.stringify({
    "trustedIssuer": {
      "id": "{{trustedIssuerID}}"
    }
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'PUT',
  'url': '{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{accessToken}}'
  },
  body: JSON.stringify({
    "trustedIssuer": {
      "id": "{{trustedIssuerID}}"
    }
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}"

payload = json.dumps({
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}');
$request->setMethod(HTTP_Request2::METHOD_PUT);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/json',
  'Authorization' => 'Bearer {{accessToken}}'
));
$request->setBody('{\n  "trustedIssuer": {\n    "id": "{{trustedIssuerID}}"\n  }\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["Content-Type"] = "application/json"
request["Authorization"] = "Bearer {{accessToken}}"
request.body = JSON.dump({
  "trustedIssuer": {
    "id": "{{trustedIssuerID}}"
  }
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n  \"trustedIssuer\": {\n    \"id\": \"{{trustedIssuerID}}\"\n  }\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/applications/{{appID}}/trustedIssuerAssignments/{{trustedIssuerAssignmentID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "PUT"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

```json
{
  "id": "9ddd604d-1e5c-451d-8477-128e64e1d3d6",
  "environment": {
    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
  },
  "application": {
    "id": "1a1cce78-47ed-4d84-b556-533aadb84a8a"
  },
  "trustedIssuer": {
    "id": "961c63cf-062a-4cf1-b18c-7b81e35c4b7c"
  },
  "_links": {
    "trustedIssuer": {
      "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/trustedIssuers/961c63cf-062a-4cf1-b18c-7b81e35c4b7c"
    },
    "environment": {
      "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "application": {
      "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/applications/1a1cce78-47ed-4d84-b556-533aadb84a8a"
    },
    "self": {
      "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/applications/1a1cce78-47ed-4d84-b556-533aadb84a8a/trustedIssuerAssignments/9ddd604d-1e5c-451d-8477-128e64e1d3d6"
    }
  }
}
```
